import { Routes, Route } from "react-router-dom";

import { Dashboard } from "./Dashboard";
import { Login } from '../Pages/Login'
import { NotFound } from '../Pages/NotFound'
import { Home } from '../Pages/Home'
import { Puestos } from '../Pages/Puestos'
import { Contras  } from '../Pages/Contras'
import { Expedientes } from '../Pages/Expedientes'
import { Resultados } from '../Pages/Resultados'
import { Configuracion } from '../Pages/Configuracion'
import { Historial } from '../Pages/Historial'


export default function MyRoutes () {

    return(
        <Routes>

            <Route path="/" element={<Login/>}/>

            <Route path="dashboard" element={<Dashboard/>}>
                <Route path="home" element={<Home/>} />
                <Route path="puestos" element={<Puestos/>} />
                <Route path="contrasenas" element={<Contras/>} />
                <Route path="expedientes" element={<Expedientes/>} />
                <Route path="resultados" element={<Resultados/>} />
                <Route path="configuraciones" element={<Configuracion/>} />
                <Route path="historial" element={<Historial/>} />
            </Route>

            <Route path="*" element={<NotFound/>}/>

        </Routes>
    )
}

